Jump to content
XFallSeane

Intersect CMS Rework [Unleashed]

Recommended Posts

2 minutes ago, Kamus said:

Damn! i pretty love your work!!!!!! AAAAAAAAAAAAAAAAAAAAAA
Thanks for all!!!! 👏👏👏

pd: The Upgrade Guide go to same link of the upside (The FR Update guide)

 

Thank you, this is really encouraging! If you encounter any concerns, don't hesitate! Categories from the item shop has deleted but will come back soon in a new display! And thank you I corrected the links

Share this post


Link to post
Share on other sites
On 4/23/2021 at 6:11 PM, XFallSeane said:

 

If you have problems, don't hesitate! 

Hi, i try to use it on my pc, i install xampp 7.4 and create the virtual host config con apache and the database. I set de config on DATABASE_URL, but it is throwing exceptions, if i put it on dev it show this, like there are files missing.

6890511690aaaa495e55880938784302.png

 

and in prod i look at var/log/prod.log and delete all to generate only one request to the home page.

 

[2021-04-25T01:52:02.092497+02:00] request.INFO: Matched route "home". {"route":"home","route_parameters":{"_route":"home","_controller":"App\\Controller\\HomeController::index"},"request_uri":"http://bbo.cms/","method":"GET"} []
[2021-04-25T01:52:02.149781+02:00] security.DEBUG: Checking for guard authentication credentials. {"firewall_key":"main","authenticators":1} []
[2021-04-25T01:52:02.149792+02:00] security.DEBUG: Checking support on guard authenticator. {"firewall_key":"main","authenticator":"App\\Security\\LoginAuthenticator"} []
[2021-04-25T01:52:02.149798+02:00] security.DEBUG: Guard authenticator does not support the request. {"firewall_key":"main","authenticator":"App\\Security\\LoginAuthenticator"} []
[2021-04-25T01:52:02.172336+02:00] request.CRITICAL: Uncaught PHP Exception Twig\Error\RuntimeError: "An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.")." at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\home\index.html.twig line 3 {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.192239+02:00] request.CRITICAL: Exception thrown when handling an exception (Twig\Error\RuntimeError: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3) {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.192409+02:00] php.CRITICAL: Uncaught Exception: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.193226+02:00] request.CRITICAL: Uncaught PHP Exception Twig\Error\RuntimeError: "An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.")." at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3 {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.194167+02:00] request.CRITICAL: Exception thrown when handling an exception (Twig\Error\RuntimeError: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3) {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.194222+02:00] php.CRITICAL: Uncaught Exception: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []

 

 

i put on another folder and another database the cms v1 and it works fine so i think there maybe missing files? or i am doing something wrong.

Share this post


Link to post
Share on other sites
1 minute ago, magehernan said:

Hi, i try to use it on my pc, i install xampp 7.4 and create the virtual host config con apache and the database. I set de config on DATABASE_URL, but it is throwing exceptions, if i put it on dev it show this, like there are files missing.

6890511690aaaa495e55880938784302.png

 

and in prod i look at var/log/prod.log and delete all to generate only one request to the home page.

 

[2021-04-25T01:52:02.092497+02:00] request.INFO: Matched route "home". {"route":"home","route_parameters":{"_route":"home","_controller":"App\\Controller\\HomeController::index"},"request_uri":"http://bbo.cms/","method":"GET"} []
[2021-04-25T01:52:02.149781+02:00] security.DEBUG: Checking for guard authentication credentials. {"firewall_key":"main","authenticators":1} []
[2021-04-25T01:52:02.149792+02:00] security.DEBUG: Checking support on guard authenticator. {"firewall_key":"main","authenticator":"App\\Security\\LoginAuthenticator"} []
[2021-04-25T01:52:02.149798+02:00] security.DEBUG: Guard authenticator does not support the request. {"firewall_key":"main","authenticator":"App\\Security\\LoginAuthenticator"} []
[2021-04-25T01:52:02.172336+02:00] request.CRITICAL: Uncaught PHP Exception Twig\Error\RuntimeError: "An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.")." at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\home\index.html.twig line 3 {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.192239+02:00] request.CRITICAL: Exception thrown when handling an exception (Twig\Error\RuntimeError: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3) {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.192409+02:00] php.CRITICAL: Uncaught Exception: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.193226+02:00] request.CRITICAL: Uncaught PHP Exception Twig\Error\RuntimeError: "An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.")." at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3 {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.194167+02:00] request.CRITICAL: Exception thrown when handling an exception (Twig\Error\RuntimeError: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\bundles\TwigBundle\Exception\error500.html.twig line 3) {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []
[2021-04-25T01:52:02.194222+02:00] php.CRITICAL: Uncaught Exception: An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package."). {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\bundles\\TwigBundle\\Exception\\error500.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)\n[previous exception] [object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []

 

 

i put on another folder and another database the cms v1 and it works fine so i think there maybe missing files? or i am doing something wrong.

 

 

Hi. 

 

Did you download the repo github or the package release? 

 

If it's the repo git, you have to install composer on your pc and make a composer install in cli from the folder of the proje to install the dependents 

 

Normally with the release it's supposed to work all right away unless you passed the project in dev mode and so you have to make a composer install --dev

 

 

Share this post


Link to post
Share on other sites
1 hour ago, XFallSeane said:

Did you download the repo github or the package release?

yes, i download this https://github.com/Thomasfds/intersect-cms-unleashed/files/6357993/2.0.0.zip

 

i delete all files and copy all and only change de database url and continue throwing problems for the translation

 

[2021-04-25T03:55:08.624617+02:00] request.CRITICAL: Uncaught PHP Exception Twig\Error\RuntimeError: "An exception has been thrown during the rendering of a template ("Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.")." at D:\Programas\XAMPP7\htdocs\cms\templates\Britania\home\index.html.twig line 3 {"exception":"[object] (Twig\\Error\\RuntimeError(code: 0): An exception has been thrown during the rendering of a template (\"Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package.\"). at D:\\Programas\\XAMPP7\\htdocs\\cms\\templates\\Britania\\home\\index.html.twig:3)\n[previous exception] [object] (Symfony\\Component\\Translation\\Exception\\LogicException(code: 0): Cannot parse message translation: please install the \"intl\" PHP extension or the \"symfony/polyfill-intl-messageformatter\" package. at D:\\Programas\\XAMPP7\\htdocs\\cms\\vendor\\symfony\\translation\\Formatter\\IntlFormatter.php:38)"} []

 

 

maybe there is something else i need to do?

I use windows 10 on spanish language with xampp 7.4.16

Let me know if i can help you or need more info.

Share this post


Link to post
Share on other sites
8 hours ago, XFallSeane said:

Normally with the release it's supposed to work all right away unless you passed the project in dev mode and so you have to make a composer install --dev

 

 

As stated here it is necessary to install composer and make the order compose install--dev

Share this post


Link to post
Share on other sites
On 4/25/2021 at 5:40 AM, XFallSeane said:

 

 

As stated here it is necessary to install composer and make the order compose install--dev

 

Hi, i installer composer and run composer install then change to dev in .env.local.php but i continued getting the error from Cannot parse message translation: please install the "intl" PHP extension or the "symfony/polyfill-intl-messageformatter" package.

 

So i run this composer require symfony/polyfill-intl-messageformatter and it works now... so i think is missing that on the release so only with composer will work.

 

Thank you

Share this post


Link to post
Share on other sites

Hm if u want work in local before online  download git repo, run in folder cli composer install

 

And for online prod (after copy / paste all for prod) in prod folder => 

in cli composer dump-env prod

and

composer install --no-dev --optimize-autoloader

 

And upload prod project online ;)

Share this post


Link to post
Share on other sites
26 minutes ago, XFallSeane said:

Hm if u want work in local before online  download git repo, run in folder cli composer install

 

And for online prod (after copy / paste all for prod) in prod folder => 

in cli composer dump-env prod

and

composer install --no-dev --optimize-autoloader

 

And upload prod project online ;)

 

Yes i need to try it local before upload it to the server, i will do this.

 

So i fork the git repo and run composer install then i continue having the error about translation. so i think it is missing composer require symfony/polyfill-intl-messageformatter.

Then if i have the intersect server  down, it works, and open the web.

 

When i open the server and refresh the web, i have this error Notice: Undefined index: access_token

i have my user and password set on the db and the api enabled... so i don't know if something is missing.

I will continue later trying to make it work.

 

I find that the upgrade sql have a error

 

-- CMS Pages

ALTER TABLE cms_pages ADD is_ivislbe INTEGER;

 

is_ivislbe i think is_visible? if you want i can send you PR.

 

Best Regards

Share this post


Link to post
Share on other sites
5 minutes ago, magehernan said:

 

Yes i need to try it local before upload it to the server, i will do this.

 

So i fork the git repo and run composer install then i continue having the error about translation. so i think it is missing composer require symfony/polyfill-intl-messageformatter.

Then if i have the intersect server  down, it works, and open the web.

 

When i open the server and refresh the web, i have this error Notice: Undefined index: access_token

i have my user and password set on the db and the api enabled... so i don't know if something is missing.

I will continue later trying to make it work.

 

I find that the upgrade sql have a error

 

-- CMS Pages

ALTER TABLE cms_pages ADD is_ivislbe INTEGER;

 

is_ivislbe i think is_visible? if you want i can send you PR.

 

Best Regards

 

Add is_visible in cms_page with integer default 1.

 

For ur api problem all except enabled in api.config.json must be false otherwise it does not work properly.

 

Send me a PM if u want more help 

Share this post


Link to post
Share on other sites

Update 2.1 is coming soon !

  • Addition of the image possibilities for the items in the item shop (pushes to make graphics to have a better image of his game, if no image only the icon of the item will be displayed) => finished
  • Addition of a limit on the reception of the last two articles (news and shop) => finished
  • Addition of a page dedicated to news => finished 
  • Addition of a pagination on the item shop => finished
  • The images for the articles / items shop should be in 1920 * 1080, automatically converted to the correct format according to their page. => finished
  • Automatic deletion of images when deleting an article or an object from the item shop => finished

 

With this update image guide (size required)  => https://github.com/Thomasfds/intersect-cms-unleashed/wiki/Obligation-on-the-images

 

Update 2.2 is planning

  • Integration of a forum
  • More

Share this post


Link to post
Share on other sites

@XFallSeane I have started using this for Nightmare since its quite a sophisticated website template for Intersect based games. However, I have run into some issues. Mainly because the installation guides are either incomplete or poorly translated.

 

I have been unable to complete this step:

Spoiler

8e15e38c86d5d10ac12d279325110466.png

I have managed to connect to my webserver via PuTTy using the SSH protocol. However I have absolutely no idea what you mean by this sentence. Can you please tell me exactly what I need to type in to the Linux terminal?

 

I have google translated the french installation guide and I completed everything inside it. The only step I haven't done is the one highlighted in the above image.

 

Have I missed any other undocumented steps too?

 

Regards,

 

Kibbelz

Share this post


Link to post
Share on other sites
39 minutes ago, Kibbelz said:

@XFallSeane I have started using this for Nightmare since its quite a sophisticated website template for Intersect based games. However, I have run into some issues. Mainly because the installation guides are either incomplete or poorly translated.

 

I have been unable to complete this step:

  Hide contents

8e15e38c86d5d10ac12d279325110466.png

I have managed to connect to my webserver via PuTTy using the SSH protocol. However I have absolutely no idea what you mean by this sentence. Can you please tell me exactly what I need to type in to the Linux terminal?

 

I have google translated the french installation guide and I completed everything inside it. The only step I haven't done is the one highlighted in the above image.

 

Have I missed any other undocumented steps too?

 

Regards,

 

Kibbelz

 

Hi !

The installation guide is complete if you follow the steps and you have downloaded the zip of release 2.0.0
 

For your screen, this is the installation guide to work locally on your pc before uploading on your server. I have add the deployment step => https://github.com/Thomasfds/intersect-cms-unleashed/wiki/Local-work#3-deployment

Your current problem is that you are missing the dependencies necessary for the correct functioning of the CMS. (the vendor file). These dependencies are not available on the git repo because they can quickly reach 100mb. To install them on a local pc or on-line server, you have to install composer and have composer install then to put them online you have to follow step 3 above.

As you want to upload, go directly through the release zip ^^
https://github.com/Thomasfds/intersect-cms-unleashed/releases/tag/2.0.0
The installation.sql file is required for the database.

In the next updates, I will put two packgage clean installation and upgrade package with only the files to replace 


I recommend everyone to make a local version on your pc before going to your web server, this allows you to work the whole (template etc) before uploading and therefore allows you to work your own themes etc!

 

I'm French and my English is really bad, I'm doing my best sorry.

I add thanks on the original post

 

For all :

I just added a zip (fix) containing the files to replace with the latest updated patches
https://github.com/Thomasfds/intersect-cms-unleashed/releases/tag/2.0.0

New install download and unzip 2.0.0.zip and after fix.zip and unzip in the project folder for bug fix patch, after all, delete the cache for the changes to take effect.

Share this post


Link to post
Share on other sites
2 hours ago, XFallSeane said:

Your current problem is that you are missing the dependencies necessary for the correct functioning of the CMS. (the vendor file). These dependencies are not available on the git repo because they can quickly reach 100mb. To install them on a local pc or on-line server, you have to install composer and have composer install then to put them online you have to follow step 3 above.

 

Adding something extra as a context of what composer is, it can be said that it is the equivalent of npm in javascript that generates the node_modules with all the necessary packages to be able to work since the original projects only have the source code and a package.json to have a Register the dependencies necessary for correct operation, another example more linked to the engine is the nugets packages, when you download the source code of the engine the nugets packages are not included, when you open the solution for the first time VS downloads those packages for you from automatically, in conclusion: composer is the dependency manager for projects with php, you just have to download the executable and write composer install in your LOCAL project.

Share this post


Link to post
Share on other sites

Hi everyone !

 

V2.1 pre-release is available on two website (see first post) for debugging.

I have updated v2.0 installation package and fix zip tonight. U can replace your file with fix zip files now.

 

Many corrections have taken place on v2.1 and I thank those who reported all the bugs to me.

 

Warning :

If your game is modified from source, check that the API is still functional, before installing the CMS.

Share this post


Link to post
Share on other sites

Hi all !

The development of the forum is underway and well advanced.

A really basic forum without advanced features. The forum is optional for everyone and can be activated in the site settings.

 

I also integrate the possibility of posting automatically (if activated in the parameters) the new news posted on the site.

I will see to do more integration with Discord in the future.

 

Once the functionality of the forums and news on discord is finished, version 2.1 will be available to everyone.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...